diff --git a/init.h b/init.h
index 3a9b078574..60a724c026 100644
--- a/init.h
+++ b/init.h
@@ -3475,24 +3475,24 @@ struct option_t MuttVars[] = {
   ** (S/MIME only)
   */
 #ifdef USE_SMTP
-# ifdef USE_SASL
   { "smtp_authenticators", DT_STR, R_NONE, UL &SmtpAuthenticators, UL 0 },
   /*
   ** .pp
   ** This is a colon-delimited list of authentication methods mutt may
   ** attempt to use to log in to an SMTP server, in the order mutt should
-  ** try them.  Authentication methods are any SASL mechanism, e.g.
+  ** try them.  Authentication methods are any SASL mechanism, e.g. ``plain``,
   ** ``digest-md5'', ``gssapi'' or ``cram-md5''.
   ** This option is case-insensitive. If it is ``unset''
   ** (the default) mutt will try all available methods, in order from
-  ** most-secure to least-secure.
+  ** most-secure to least-secure. Support for the ``plain`` mechanism is
+  ** bundled; other mechanisms are provided by an external SASL library (look
+  ** for +USE_SASL in the output of mutt -v).
   ** .pp
   ** Example:
   ** .ts
   ** set smtp_authenticators="digest-md5:cram-md5"
   ** .te
   */
-# endif /* USE_SASL */
   { "smtp_pass", 	DT_STR,  R_NONE, UL &SmtpPass, UL 0 },
   /*
   ** .pp
diff --git a/smtp.c b/smtp.c
index 072b24a29f..52fdfcc48b 100644
--- a/smtp.c
+++ b/smtp.c
@@ -670,27 +670,51 @@ static int smtp_auth_plain (CONNECTION* conn)
 {
   char buf[LONG_STRING];
   size_t len;
-  int rc = -1;
+  char *method;
+  char *delim;
+
+  if (!SmtpAuthenticators || !*SmtpAuthenticators)
+  {
+    mutt_error (_("No authenticators available"));
+    mutt_sleep (1);
+    return -1;
+  }
+
+  /* Check if any elements (but the last, because of strchr) in
+   * SmtpAuthenticators is "plain" */
+  for (method = SmtpAuthenticators; (delim = strchr(method, ':')); method = delim + 1)
+  {
+    if (ascii_strncasecmp(method, "plain", delim - method) == 0)
+      break;
+  }
+
+  /* Check if "plain" is the last element in the list */
+  if (delim == NULL && ascii_strncasecmp(method, "plain", 5) != 0)
+  {
+    mutt_error (_("No authenticators available"));
+    mutt_sleep (1);
+    return -1;
+  }
 
   if (mutt_account_getuser (&conn->account) ||
       mutt_account_getpass (&conn->account))
-      goto end;
+    goto fail;
 
   len = mutt_sasl_plain_msg (buf, sizeof (buf), "AUTH PLAIN",
       conn->account.user, conn->account.user, conn->account.pass);
   if (len > sizeof (buf) - 3)
-      goto end;
+    goto fail;
   snprintf (buf + len, sizeof (buf) - len, "\r\n");
 
   if (mutt_socket_write (conn, buf) < 0)
-    goto end;
+    goto fail;
 
   if (smtp_get_resp (conn) == 0)
-      return 0;
+    return 0;
 
-end:
+fail:
     mutt_error (_("SASL authentication failed"));
     mutt_sleep (1);
-    return rc;
+    return -1;
 }
 #endif /* USE_SASL */
